accumulo-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bil...@apache.org
Subject svn commit: r1187379 - in /incubator/accumulo/branches/1.3: conf/ test/system/auto/ test/system/auto/TestUtils.py test/system/auto/pkill.sh test/system/auto/simple/ test/system/auto/stress/
Date Fri, 21 Oct 2011 14:55:56 GMT
Author: billie
Date: Fri Oct 21 14:55:56 2011
New Revision: 1187379

URL: http://svn.apache.org/viewvc?rev=1187379&view=rev
Log:
ACCUMULO-46 fixed pkill for 1.3 branch, added ignores for files created during tests

Added:
    incubator/accumulo/branches/1.3/test/system/auto/pkill.sh   (with props)
Modified:
    incubator/accumulo/branches/1.3/conf/   (props changed)
    incubator/accumulo/branches/1.3/test/system/auto/   (props changed)
    incubator/accumulo/branches/1.3/test/system/auto/TestUtils.py
    incubator/accumulo/branches/1.3/test/system/auto/simple/   (props changed)
    incubator/accumulo/branches/1.3/test/system/auto/stress/   (props changed)

Propchange: incubator/accumulo/branches/1.3/conf/
------------------------------------------------------------------------------
--- svn:ignore (original)
+++ svn:ignore Fri Oct 21 14:55:56 2011
@@ -2,3 +2,4 @@ accumulo-metrics.xml
 masters
 slaves
 tracers
+test-*

Propchange: incubator/accumulo/branches/1.3/test/system/auto/
------------------------------------------------------------------------------
--- svn:ignore (added)
+++ svn:ignore Fri Oct 21 14:55:56 2011
@@ -0,0 +1,2 @@
+*.pyc
+fake_disk_failure.so

Modified: incubator/accumulo/branches/1.3/test/system/auto/TestUtils.py
URL: http://svn.apache.org/viewvc/incubator/accumulo/branches/1.3/test/system/auto/TestUtils.py?rev=1187379&r1=1187378&r2=1187379&view=diff
==============================================================================
--- incubator/accumulo/branches/1.3/test/system/auto/TestUtils.py (original)
+++ incubator/accumulo/branches/1.3/test/system/auto/TestUtils.py Fri Oct 21 14:55:56 2011
@@ -147,7 +147,7 @@ class TestUtilsMixin:
 
 
     def pkill(self, host, pattern, signal=signal.SIGKILL):
-        cmd = [os.path.join(ACCUMULO_HOME, 'bin', 'pkill.sh'), str(signal), str(os.getuid()),
ID + '.*' + pattern]
+        cmd = [os.path.join(ACCUMULO_HOME, 'test', 'system', 'auto', 'pkill.sh'), str(signal),
str(os.getuid()), ID + '.*' + pattern]
         handle = self.runOn(host, cmd)
         handle.communicate()
 

Added: incubator/accumulo/branches/1.3/test/system/auto/pkill.sh
URL: http://svn.apache.org/viewvc/incubator/accumulo/branches/1.3/test/system/auto/pkill.sh?rev=1187379&view=auto
==============================================================================
--- incubator/accumulo/branches/1.3/test/system/auto/pkill.sh (added)
+++ incubator/accumulo/branches/1.3/test/system/auto/pkill.sh Fri Oct 21 14:55:56 2011
@@ -0,0 +1,40 @@
+#! /usr/bin/env bash
+
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+OS=`uname -s`
+
+#Validate arguments
+if [ -z "$1" -o -z "$2" -o -z "$3" ]; then
+echo "Usage: $0 <SIGNAL> <UID> <PATTERN>"
+exit 1
+fi
+
+#Darwin settings (MacOS)
+if [ $OS = Darwin ]; then
+  ps -eo pid,command | grep "$3" | grep -v grep | awk '{ print $1 }' | grep -v $$ | xargs
kill -$1
+
+#Linux settings (RedHat)
+elif [ $OS = Linux ]; then
+  #echo pkill -$1 -U $2 -f "$3"
+  exec pkill -$1 -U $2 -f "$3"
+
+#Any other OS
+else
+  echo "Unrecognized OS"
+  exit 1
+#End OS checking
+fi

Propchange: incubator/accumulo/branches/1.3/test/system/auto/pkill.sh
------------------------------------------------------------------------------
    svn:executable = *

Propchange: incubator/accumulo/branches/1.3/test/system/auto/simple/
------------------------------------------------------------------------------
--- svn:ignore (added)
+++ svn:ignore Fri Oct 21 14:55:56 2011
@@ -0,0 +1 @@
+*.pyc

Propchange: incubator/accumulo/branches/1.3/test/system/auto/stress/
------------------------------------------------------------------------------
--- svn:ignore (added)
+++ svn:ignore Fri Oct 21 14:55:56 2011
@@ -0,0 +1 @@
+*.pyc



Mime
View raw message